Update a Project by id
Update an existing Project.
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Path Parameters
Unique identifier of the project.
Body
Definitions
Projects are the main resources in Lucca Project.
They belong to a single Client [blocked] and Organization [blocked]. Internal (non-billable) projects may be attached to a client that represents your own company.
Any billable project, whether fixed price or time and materials, must have a owner, start and end dates, and a contract:
- A fixed price project must have prices set on its services.
- A time and materials project must have bill rates set on its services [blocked].
A Project is only available for time submission while on the "ongoing" status. Whenever a project is marked as complete or abandonned, all its services' estimates are adjusted to the actual spent value.
A project must be valid (ie all required fields must be set) before its status can be set to "ongoing".
Once ongoing, a project cannot go back to the "draft" status and can no longer be deleted. It may only be abandonned or complete.
Fields
255x >= 1x >= 1Defaults to an automatically generated value.
255x >= 1Describes project contract types:
- Non-billable (internal): no revenue recognized, budget estimates are optional.
- Fixed price: progress-based revenue recognition, budget estimates are mandatory.
- Time and Materials: time-based revenue recognition, initial estimates are indicative.
- Not-to-exceed Time and Materials: time-based revenue recognition with a maximum value, initial estimate sets the maximum value.
nonBillable, fixedPrice, timeAndMaterials, cappedTimeAndMaterials Start of the project execution.
Optional markdown formatted description.
Initially planned delivery date.
Standard rate card version applicable for this project. Used for profit analysis.
Response
OK
Definitions
Projects are the main resources in Lucca Project.
They belong to a single Client [blocked] and Organization [blocked]. Internal (non-billable) projects may be attached to a client that represents your own company.
Any billable project, whether fixed price or time and materials, must have a owner, start and end dates, and a contract:
- A fixed price project must have prices set on its services.
- A time and materials project must have bill rates set on its services [blocked].
A Project is only available for time submission while on the "ongoing" status. Whenever a project is marked as complete or abandonned, all its services' estimates are adjusted to the actual spent value.
A project must be valid (ie all required fields must be set) before its status can be set to "ongoing".
Once ongoing, a project cannot go back to the "draft" status and can no longer be deleted. It may only be abandonned or complete.
Fields
255x >= 1Defaults to an automatically generated value.
255The user assigned as this project lead. Set through the ownerId field.
Project is only available for time submission when having a "ongoing" status. Status can be updated through the "status-updates" API.
draft, ongoing, completed, cancelled, suspended, archived Describes project contract types:
- Non-billable (internal): no revenue recognized, budget estimates are optional.
- Fixed price: progress-based revenue recognition, budget estimates are mandatory.
- Time and Materials: time-based revenue recognition, initial estimates are indicative.
- Not-to-exceed Time and Materials: time-based revenue recognition with a maximum value, initial estimate sets the maximum value.
nonBillable, fixedPrice, timeAndMaterials, cappedTimeAndMaterials Start of the project execution.
Timestamp of the project creation.
Timestamp of the last update to the project.
Price of the project. Equal to the sum of this project's services prices.
Actions the current user can do on the project.
canEditAndDelete, canUpdateStatus Identifier of the organization this project belongs to. Inherited from the client.
x >= 1Optional markdown formatted description.
Initially planned delivery date.
Updated planned (or actual) delivery date.
Timestamp of the project launch.
Timestamp of the last time or expense allocated on the project.
Standard rate card version applicable for this project. Used for profit analysis.
Initial estimate of the work duration needed to complete the project.
{
"value": 128,
"iso": "P5DT8H",
"unit": "hour"
}Updated estimate of the work duration needed to complete the project. Can be modified through creating a new EstimateToComplete [blocked].
{
"value": 128,
"iso": "P5DT8H",
"unit": "hour"
}Standard daily/hourly rate this project should be invoiced at. Equal to (price + discount) / initialTimeEstimate.
Actual daily/hourly rate this project will be invoiced at. Equal to price / initialTimeEstimate.
Sum of this project's services initial budgets.
Sum of this project's services revised budgets.
Sum of this project's services discounts.
0.1Difference between this project's initial budget and its revised budget. Represents the planned overrun upon completion.
Sum of all invoices issued for this project.
List of risks this project is exposed to.
List of anomalies this project is exposed to.